/*
 * Launcher.java
 * 
 * Copyright (c) 1998 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

import java.rmi.*;
import java.net.*;

public class Launcher
{
    public static void main(String[] args) {

        // ƥޥͥκ
        System.setSecurityManager(new RMISecurityManager());

        try {
            // Х֥Ⱥ
            HelloServer obj = new HelloServer();

            // ⡼ȡ֥ȤϿ
            Naming.rebind("rmi://myhost.mydomain/HelloServer", obj);
            System.out.println(
			"HelloServer 쥸ȥϿޤ");
        }
        catch (java.rmi.UnknownHostException e){
            System.out.println("ХۥȤĤޤ");
            e.printStackTrace();
        }
        catch (RemoteException e) {
            System.out.println("쥸ȥ꤬Ĥޤ");
            e.printStackTrace();
        }
        catch (MalformedURLException e){
            System.out.println("URL εҤ˸꤬ޤ");
            e.printStackTrace();
        }
    }
}
