/*
 * MyStub.java
 * 
 * Copyright (c) 1998 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

import java.net.*;
import java.io.*;

public class MyStub implements Hello {
  public String getMessage(String name) {
    String message = null;
    try {
      Socket s = new Socket("myhost", 4321);
      ObjectOutputStream oos =
	        new ObjectOutputStream(s.getOutputStream());
      oos.writeObject(name);

      ObjectInputStream ois =
	        new ObjectInputStream(s.getInputStream());
      message = (String)ois.readObject();

      s.close();
    } catch (Exception e) {
      e.printStackTrace();
    }
    return message;
  }
}
