/*
 * RemoteSchedule.java
 * 
 * Copyright (c) 1998 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

package schedule;
import java.util.Vector;
import java.rmi.*;
/**
 * RemoteSchedule
 *     塼륯饹Υ󥿡ե
 * @version    1.1 98/05/07
 * @auther     EMOTO Masahiko, Nihon Sun Microsystems K.K.
 */
public interface RemoteSchedule extends java.rmi.Remote {
    // ݥȥȤμ
    public Vector getDailyAppointments(int year,
				       int month,
				       int date,
				       RemoteScheduleEditor editor)
	throws java.rmi.RemoteException;

    // ݥȥȤι
    public void updateDailyAppointments(int year,
					int month,
					int date,
					Vector v)
	
	throws java.rmi.RemoteException;
    
    // ȥơ֥뤫κ
    public void remove(RemoteScheduleEditor edit)
	throws java.rmi.RemoteException;
}
