/*
 * YesNoDialog.java
 * 
 * Copyright (c) 1998 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

package schedule;
import java.awt.*;
import java.awt.event.*;

/**
 * YesNoDialog
 * @version    1.1 98/05/07
 * @auther     EMOTO Masahiko, Nihon Sun Microsystems K.K.
 */
class YesNoDialog {
    Dialog dialog;
    Button buttonOK;
    Button buttonNO;
    boolean ans = true;
    
    class OKPressed implements ActionListener{
	public ButtonPressed(){}
	public void actionPerformed(ActionEvent ev){
	    ans = true;
	    hide();
	}
    }
    
    class NOPressed implements ActionListener{
	public ButtonPressed(){}
	public void actionPerformed(ActionEvent ev){
	    ans = false;
	    hide();
	}
    }
    
    /**
     *  󥹥ȥ饯
     *  @param c  顼оݤȤʤäݡͥ
     *  @param str  顼å
     *
     */
    YesNoDialog(Component c,String str){
	Component root = c.getParent();
	while ( root.getParent() != null && !(root instanceof java.awt.Frame)){
	    root = root.getParent();
	}
	dialog = new Dialog((Frame )root,"Error Msg",true);
	dialog.setLayout(new FlowLayout(FlowLayout.CENTER));
	dialog.add(new Label(str));
	buttonOK = new Button("OK");
	buttonOK.addActionListener(new OKPressed());
	buttonNo = new Button("NO");
	buttonNo.addActionListener(new NOPressed());
	dialog.add(buttonOK);
	dialog.setSize(200,100);
    }
    public boolean show(){
	dialog.setVisible(true);
	return ans;
    }
    public void hide(){
	dialog.setVisible(false);
    }
}
