/*
 * Client.java
 * 
 * Copyright (c) 1998 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

package hello;
import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import java.rmi.*;

public class Client extends Applet implements ActionListener{
    /**
     * 饤ȥ饹󥹥ȥ饯
     */
    public Client() {
        add(new Label("My name is"));
        input = new TextField(12);
        input.addActionListener(this);
        add(input);
        output = new TextField(20);
        output.setEditable(false);
        add(output);
    }

    /**
     * 饤Ƚ
     */
    public void init(){
        try {
            // ⡼ȥ֥Ȥμ
            remoteObject = (Hello)Naming.lookup(
		"rmi://" + getCodeBase().getHost() + "/HelloServer");
        }
        catch (NotBoundException e) {
            System.out.println(e);
            System.out.println("⡼ȥ֥Ȥ¸ߤޤ");
        }
        catch (java.net.MalformedURLException e) {
            System.out.println(e);
            System.out.println("URL εҤ˸꤬ޤ");
        }
        catch (UnknownHostException e) {
            System.out.println(e);
            System.out.println("ХۥȤĤޤ");
        }
        catch (RemoteException e) {
            System.out.println(e);
            System.out.println("쥸ȥ꤬Ĥޤ");
        }
    }

    /**
     * ٥ȥϥɥ
     */
    public void actionPerformed(ActionEvent ev){
        try {
            // ⡼ȥ᥽åɤθƤӽФ
            String message =
		remoteObject.getMessage(input.getText());
            output.setText(message);
        }
        catch (RemoteException e) {
            System.out.println(
		"⡼ȥ᥽åɸƤӽФ˼Ԥޤ");
        }

    }

    private TextField input;
    private TextField output;
    private Hello remoteObject;
}
