/*
 * Appontment.java
 * 
 * Copyright (c) 1998 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

package schedule;

import java.util.Calendar;
import java.io.*;

/**
 * Appointment
 *     ݥȥ
 * @version    1.1 98/05/07
 * @auther     EMOTO Masahiko, Nihon Sun Microsystems K.K.
 */
public class Appointment 
implements Serializable {
    public int start; // ϻ00:00 ʬñ
    public int end;   // λ00:00 ʬñ
    public String description;
    public String note; // 
    
    
    /**
     * 󥹥ȥ饯
     */
    public Appointment(){}
    
    /**
     * 󥹥ȥ饯
     *  @param sh ϻ()
     *  @param sm ϻ(ʬ)
     *  @param sh λ()
     *  @param sm λ(ʬ)
     *  @param d  description
     *  @param n  note
     */
    public Appointment(int sh,
		       int sm,
		       int eh,
		       int em,
		       String d,
		       String n){
	start = sh*60+sm;
	end = eh*60+em;
	description = d;
	note = n;
    }
    
    /**
     * 郎ݥȥȤδ֤äƤ뤫ɤȽ
     *  @param h  
     *  @param m  ʬ
     */
    boolean includes(int h,int m){
	int t = h*60+m;
	return (start<=t)&&(t<=end);
    }
    
}
