/*
 * ErrorDialog.java
 * 
 * Copyright (c) 1998 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

package schedule;
import java.awt.*;
import java.awt.event.*;

/**
 * ConnectionDialog
 *     顼åɽ
 * @version    1.1 98/05/07
 * @auther     EMOTO Masahiko, Nihon Sun Microsystems K.K.
 */
class ErrorDialog {
    Dialog dialog;
    Button buttonOK;
    
    class ButtonPressed implements ActionListener{
	public ButtonPressed(){}
	public void actionPerformed(ActionEvent ev){
	    hide();
	}
    }
    
    public Frame getRoot(Component c){
	if ( c instanceof java.awt.Frame )
	    return (Frame )c;
	
	Component root = c.getParent();
	while ( root.getParent() != null && !(root instanceof java.awt.Frame)){
	    root = root.getParent();
	}
	return (Frame )root;
    }
    
    /**
     *  󥹥ȥ饯
     *  @param c  顼оݤȤʤäݡͥ
     *  @param str  顼å
     *
     */
    ErrorDialog(Component c,String str){
	Frame root = getRoot(c);
	TextArea area
	    = new TextArea(str,5,20,TextArea.SCROLLBARS_VERTICAL_ONLY);
	area.setEditable(false);
	dialog = new Dialog(root,"Error Msg",true);
	dialog.setLayout(new FlowLayout(FlowLayout.CENTER));
	dialog.setLayout(new BorderLayout());
	buttonOK = new Button("OK");
	buttonOK.addActionListener(new ButtonPressed());
	Panel p = new Panel();
	p.add(buttonOK);
	dialog.add("Center",area);
	dialog.add("South",p);
	dialog.setSize(320,150);
    }
    
    public void show(){
	dialog.setVisible(true);
    }

    public void hide(){
	dialog.setVisible(false);
    }
}
